@if (componentData$(); as componentData) {
  <div class="flex">
    <label class="credentials-block-title flex-row">
      {{ 'sqtm-core.entity.scm-server.credentials.label' | translate }}
    </label>
  </div>

  <div class="block-border p-l-10">
    <sqtm-core-third-party-credentials-form
      [attr.data-test-field-id]="'ai-server-token'"
      [authenticationProtocol]="componentData.aiServer.authProtocol"
      [credentials]="componentData.aiServer.credentials"
      [useRevokeButton]="true"
      (submit)="sendCredentialsForm($event)"
      (revokeTokens)="deleteCredentials()"
    >
    </sqtm-core-third-party-credentials-form>

    <sqtm-core-third-party-credentials-form-status
      class="full-row flex-row p-t-15"
      [statusIcon]="statusIcon"
      [statusMessage]="credentialsStatusMessage"
    >
    </sqtm-core-third-party-credentials-form-status>
  </div>
}
